org.omg.DynamicAny

## Class FieldNameHelper

- java.lang.Object
- - org.omg.DynamicAny.FieldNameHelper

    public abstract class FieldNameHelper
    extends Object

org/omg/DynamicAny/FieldNameHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-XCji0J/openjdk-8-8u504-ga~us1/src/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Thursday, August 20, 2026 5:54:47 AM UTC

### Constructor Summary

Constructors
Constructor and Description
`FieldNameHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, String that)`
`static String` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldNameHelper

    public FieldNameHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              String that)

#### extract

    public static String extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static String read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             String value)